###############################################################################################
# $Id: constants.py,v 1.8 2003/02/03 08:03:46 chakie Exp $
###############################################################################################


"""
This file contains various constants that can be used throughout the game. They should not be
changed, and bvasically should work like the C/C++ 'enum' type.
"""

###############################################################################################
# the armies
REBEL                        = 0
UNION                        = 1
UNKNOWN                      = 2

###############################################################################################
# define the posisble unit types
INFANTRY    = 0
CAVALRY     = 1
ARTILLERY   = 2
HEADQUARTER = 3

###############################################################################################
# current game state
PLAYING                      = 0
PLAYING_FINAL_TURN           = 1
GAME_ENDED                   = 2

###############################################################################################
# define some constants that indicate how a game ends.
UNION_SURRENDER              = 0
UNION_DESTROYED              = 1
UNION_DEMORALIZED            = 2
REBEL_SURRENDER              = 3
REBEL_DESTROYED              = 4
REBEL_DEMORALIZED            = 5
BOTH_DESTROYED               = 6
CEASE_FIRE                   = 7                  
OPPONENT_CRASH               = 8
GAME_SAVED                   = 9
TIMEOUT                      = 10
CRASH                        = 11

###############################################################################################
# define some constants that indicate the battle result
UNION_MAJOR_VICTORY          = 0
UNION_MINOR_VICTORY          = 1
DRAW                         = 2
REBEL_MINOR_VICTORY          = 3
REBEL_MAJOR_VICTORY          = 4

###############################################################################################
# some constants used for colorizing messages
NORMAL        = 0
CHAT1         = 1
CHAT2         = 2
COMBAT        = 3
DESTROYED     = 4
REINFORCEMENT = 5
ERROR         = 6
AUDIO         = 7
HELP          = 8

#  Local Variables:
#  mode: auto-fill
#  fill-column: 100
#  End:
