###############################################################################################
# $Id: end_calculations.py,v 1.1 2003/02/09 15:35:44 chakie Exp $
###############################################################################################

from   immediate  import Immediate


class EndCalculations (Immediate):
    """
    This class implements the ummediate 'end calculations'. This immediate is an update that tells
    the the client that the server has finished computing action and will start sending out the
    action. This update will be sent only by the server and predates an 'endaction' update.

    The immediate update contains no data.

    Only the server player sends this update.
    """ 
    

    def __init__ (self):
        """Initializes the instance."""
        # call superclass constructor
        Immediate.__init__ (self, "endcalculations" )
        

    def extract (self, parameters):
        """Extracts the data for the command. Does nothing."""
        # do nada
        pass
     

    def toString (self):
        """Returns a string representation of the command, suitable for sending over a socket."""
        # create a string and return
        return "%s\n" % self.getName ()


    def __str__ (self):
        """Convenience wrapper for toString() suitable for using when debugging and printing the
        command to the screen. Will just call toString()."""
        return self.toString ()
    
     
#  Local Variables:
#  mode: auto-fill
#  fill-column: 100
#  End:
